/*
	ActionCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSCell.h"

@interface NSActionCell : NSCell
{
    int             tag;	
    id              target;	
    SEL             action;	
    id		    _view;	
}

- controlView;
- setFont:fontObj;
- setAlignment:(NSTextAlignment)mode;
- setBordered:(BOOL)flag;
- setBezeled:(BOOL)flag;
- setEnabled:(BOOL)flag;
- setFloatingPointFormat:(BOOL)autoRange left:(unsigned int)leftDigits right:(unsigned int)rightDigits;
- setImage:(NSImage *)iconName;
- target;
- setTarget:anObject;
- (SEL)action;
- setAction:(SEL)aSelector;
- (int)tag;
- setTag:(int)anInt;
- (NSString *)stringValue;
- (int)intValue;
- (float)floatValue;
- (double)doubleValue;
- setStringValue:(NSString *)aString;
- drawSelf:(NSRect)cellFrame inView:controlView;

@end
