/*
	NXColorWell.h
	Application Kit, Release 2.0
	Copyright (c) 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSControl.h"

@interface NSColorWell : NSControl
{
     NSColor * color;
     id _target;
     SEL _action;
     BOOL _isActive, _isBordered, _cantDraw, _isNotContinuous;
     void *_reservedPtr;
}

+ activeWellsTakeColorFrom:sender;
+ activeWellsTakeColorFrom:sender continuous:(BOOL)flag;

- deactivate;
- (int)activate:(int)exclusive;
- (BOOL)isActive;

- drawWellInside:(NSRect)insideRect;

- (BOOL)isBordered;
- setBordered:(BOOL)flag;

- takeColorFrom:sender;
- setColor:(NSColor *)color;
- (NSColor *)color;

@end
